<?php

namespace App\Http\Requests\Admin\Hr;

use App\Enums\Permission;
use Illuminate\Foundation\Http\FormRequest;

class ApproveLeaveRequestRequest extends FormRequest
{
    public function authorize(): bool
    {
        return $this->user()?->can(Permission::LEAVE_REQUESTS_VERIFY->value) ?? false;
    }

    public function rules(): array
    {
        return [];
    }
}
